# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vlMolecule::RingExtractor Class Reference

The RingExtractor class traverses a molecule's graph and detects various types of cycles, mainly used for aromatic ring detection. More...

`#include <RingExtractor.hpp>`

List of all members.

## Public Member Functions

| RingExtractor (Molecule *mol)
void | setMolecule (Molecule *mol)
Molecule * | molecule () const
void | run ()
void | bootstrap ()
void | depthFirstVisit (Atom *atom, std::vector< vl::ref< Atom > > &current_path)
void | keepAromaticCycles ()
void | sortCycles ()
void | keepPlanarCycles (float epsilon)
void | removeDoubles ()
void | keepMinimalCycles ()

## Protected Attributes

Molecule * | mMolecule

## Detailed Description

The RingExtractor class traverses a molecule's graph and detects various types of cycles, mainly used for aromatic ring detection.

## Constructor & Destructor Documentation

vlMolecule::RingExtractor::RingExtractor | ( | Molecule * | mol | ) | `[inline]`

## Member Function Documentation

void vlMolecule::RingExtractor::setMolecule | ( | Molecule * | mol | ) | `[inline]`

Molecule* vlMolecule::RingExtractor::molecule | ( |  | ) | const`[inline]`

void vlMolecule::RingExtractor::run | ( |  | ) | `[inline]`

void vlMolecule::RingExtractor::bootstrap | ( |  | ) | `[inline]`

void vlMolecule::RingExtractor::depthFirstVisit | ( | Atom * | atom,
|  | std::vector< vl::ref< Atom > > & | current_path |
| ) |  |  | `[inline]`

void vlMolecule::RingExtractor::keepAromaticCycles | ( |  | ) | `[inline]`

void vlMolecule::RingExtractor::sortCycles | ( |  | ) | `[inline]`

void vlMolecule::RingExtractor::keepPlanarCycles | ( | float | epsilon | ) | `[inline]`

void vlMolecule::RingExtractor::removeDoubles | ( |  | ) | `[inline]`

void vlMolecule::RingExtractor::keepMinimalCycles | ( |  | ) | `[inline]`

## Member Data Documentation

Molecule* vlMolecule::RingExtractor::mMolecule`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMolecule/RingExtractor.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:49 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.